Bug 132886 - vsftpd has missing build dependencies
vsftpd has missing build dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 14:11 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 04:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against the spec file (565 bytes, patch)
2004-09-18 14:13 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-09-18 14:11:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
vsftpd has a couple missing build dependencies. It needs to have
pam-devel and libcap-devel installed or it won't build.

I will attach a patch.

Version-Release number of selected component (if applicable):
vsftpd-2.0.1-2

How reproducible:
Always

Steps to Reproduce:
1. rpm -e pam-devel libcap-devel
2. rpmbuild -bb vsftpd.spec

Additional info:
Comment 1 Steve Grubb 2004-09-18 14:13:00 EDT
Created attachment 103987 [details]
patch against the spec file

Not sure why the line for tcp_wrappers is in the patch, please apply the patch
manually if that causes a problem.
Comment 2 Radek Vokal 2004-09-20 04:32:33 EDT
Already fixed in vsftpd-2.0.1-4. Will soon appear in development tree.

Note You need to log in before you can comment on or make changes to this bug.